[B003/4-1]Get Sequence Search Results

post
https://connect.patsnap.com/bio-openapi/sequence/job/result
Try in Sandbox

Get Sequence Search Results By Job ID.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
job_id
Required
string953a406a18d84dc8b13f0b923e406a43
ID of the search job in backend, use this ID for subsequent API calls
page
Required
integer<int32>1
Current page number, start from 1
size
Required
integer<int32>10
Current page result size, support maximum 100
sort_field
objectPlease check the form: OpenApiSortField
Sorting of results
field
Required
stringperc_identity
Sorting Field. perc_identity、q_perc_identity、s_perc_identity、q_coverage、s_coverage、evalue
order
Required
stringdesc
Sorting order. desc、asc

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
total
integer<int32>1000
Query Results Count
results
arrayPlease check the form: OpenApiHit
Query Results
gaps
integer<int32>-
Total number of gap
hsps
arrayPlease check the form: OpenApiHsps
Hit information
q_end
integer<int32>123
Query sequence hit end index
s_end
integer<int32>123
Subject sequence hit end index
matched
stringMQ DL A +AH LH F SPL HCMTN+VVQ+FTANTLLALGASPAMVIE EEASQFAAIASALL+NVGTLTQ RA AMRAAVE+A ++TPWTLDPVAVGAL++RR FC +LLS +PAA
Details of sequence match hit
q_start
integer<int32>1
Query sequence hit start index
s_start
integer<int32>1
Subject sequence hit start index
q_string
stringMQVDLLGSAQSAHALH
Query sequence hit region
s_string
stringMQVDLLGSAQSAHALH
Subject sequence hit region
s_len
integer<int32>123
Subject sequence length
score
number<double>68.45
Raw Score
evalue
string1.12271e-54
The higher you set this e-value threshold, the more results you are likely to see.E-Value indicates how likely it is that a sequence is similar to yours simply by chance. For instance, if your sequence is very short, there is a higher likelihood that it appears in several locations simply by chance. The greater the e-value, the more likely it is that this is just down to luck.
seq_id
string834879
Sequence ID
patents
objectPlease check the form: Patent
Patent List. Only return top 100, can retrieve the full set by “Single Sequence All Patent List” API
total
integer<int32>1000
Total patent count of the sequence
patents
arrayPlease check the form: OpenApiPatentDetail
Patent List
pn
stringJP1999068462A
Patent publication number
claimed
booleantrue
Whether the subject sequence is in patent claims
location
object{ "APP": [ "5" ], "FIG": [ "1A" ], "PAGE": [ "55/56" ], "ANNEX": [ "2" ], "TABLE": [ "A-1" ], "EXAMPLE": [ "8" ] }
Sequence location in patent
patent_id
string94ea8785-959f-47cf-aba2-091605d30c12
Patent ID
sequence_id_number
array[ "1" ]
Sequence ID number in patent
identity
string93/123
Blast Identity value
positive
string104/123
Positive value
bit_score
number<double>68.45
Bit Score
q_coverage
number<double>68.45
Coverage percentage of query sequence
s_coverage
number<double>68.45
Coverage percentage of subject sequence
s_sequence
stringMQPDLHSRALAAHTLHQFRTLSPLTHCMTNEVVQSFTANTLLALGASPAMVIEPEEASQFAAIASALLVNVGTLTQERATAMRAAVERAYHAKTPWTLDPVAVGALEFRRRFCLDLLSLQPAA
Subject sequence
perc_identity
number<double>87.34
Identity percentage value
q_perc_identity
number<double>87.34
Identity percentage value of query sequence
s_perc_identity
number<double>87.34
Identity percentage value of subject sequence
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "total": 1000,
    "results": [
      {
        "gaps": 0,
        "hsps": [
          {
            "q_end": 123,
            "s_end": 123,
            "matched": "MQ DL   A +AH LH F   SPL HCMTN+VVQ+FTANTLLALGASPAMVIE EEASQFAAIASALL+NVGTLTQ RA AMRAAVE+A  ++TPWTLDPVAVGAL++RR FC +LLS +PAA",
            "q_start": 1,
            "s_start": 1,
            "q_string": "MQVDLLGSAQSAHALH",
            "s_string": "MQVDLLGSAQSAHALH"
          }
        ],
        "s_len": 123,
        "score": 68.45,
        "evalue": 1.12271e-54,
        "seq_id": 834879,
        "patents": {
          "total": 1000,
          "patents": [
            {
              "pn": "JP1999068462A",
              "claimed": true,
              "location": {
                "APP": [
                  "5"
                ],
                "FIG": [
                  "1A"
                ],
                "PAGE": [
                  "55/56"
                ],
                "ANNEX": [
                  "2"
                ],
                "TABLE": [
                  "A-1"
                ],
                "EXAMPLE": [
                  "8"
                ]
              },
              "patent_id": "94ea8785-959f-47cf-aba2-091605d30c12",
              "sequence_id_number": [
                "1"
              ]
            }
          ]
        },
        "identity": "93/123",
        "positive": "104/123",
        "bit_score": 68.45,
        "q_coverage": 68.45,
        "s_coverage": 68.45,
        "s_sequence": "MQPDLHSRALAAHTLHQFRTLSPLTHCMTNEVVQSFTANTLLALGASPAMVIEPEEASQFAAIASALLVNVGTLTQERATAMRAAVERAYHAKTPWTLDPVAVGALEFRRRFCLDLLSLQPAA",
        "perc_identity": 87.34,
        "q_perc_identity": 87.34,
        "s_perc_identity": 87.34
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found
53000002Unable to find job id.

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms